|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QAbstractGraphicsShapeItem Class Reference
[QtGui module]

The QAbstractGraphicsShapeItem class provides a common base for all path items. More...

     #include <QAbstractGraphicsShapeItem>

Inherits QGraphicsItem.

Inherited by QGraphicsEllipseItem, QGraphicsPathItem, QGraphicsPolygonItem, QGraphicsRectItem, and QGraphicsSimpleTextItem.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QAbstractGraphicsShapeItem ( QGraphicsItem * parent = 0 )
- ~QAbstractGraphicsShapeItem ()
- QBrush brush () const
- QPen pen () const
- void setBrush ( const QBrush & brush )
- void setPen ( const QPen & pen )

- 132 public functions inherited from QGraphicsItem

### Additional Inherited Members

- 1 static public member inherited from QGraphicsItem
- 23 protected functions inherited from QGraphicsItem

## Detailed Description

The QAbstractGraphicsShapeItem class provides a common base for all path items.

This class does not fully implement an item by itself; in particular, it does not implement boundingRect() and paint(), which are inherited by QGraphicsItem.

You can subclass this item to provide a simple base implementation of accessors for the item's pen and brush.

See also QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPathItem, QGraphicsPolygonItem, QGraphicsTextItem, QGraphicsLineItem, QGraphicsPixmapItem, and The Graphics View Framework.

## Member Function Documentation

### QAbstractGraphicsShapeItem::QAbstractGraphicsShapeItem ( QGraphicsItem * parent = 0 )

Constructs a QAbstractGraphicsShapeItem. parent is passed to QGraphicsItem's constructor.

### QAbstractGraphicsShapeItem::~QAbstractGraphicsShapeItem ()

Destroys a QAbstractGraphicsShapeItem.

### QBrush QAbstractGraphicsShapeItem::brush () const

Returns the item's brush, or an empty brush if no brush has been set.

See also setBrush().

### QPen QAbstractGraphicsShapeItem::pen () const

Returns the item's pen. If no pen has been set, this function returns QPen(), a default black solid line pen with 0 width.

See also setPen().

### void QAbstractGraphicsShapeItem::setBrush ( const QBrush & brush )

Sets the item's brush to brush.

The item's brush is used to fill the item.

If you use a brush with a QGradient, the gradient is relative to the item's coordinate system.

See also brush().

### void QAbstractGraphicsShapeItem::setPen ( const QPen & pen )

Sets the pen for this item to pen.

The pen is used to draw the item's outline.

See also pen().